<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">
  <title>Login Page</title>
  <link rel="stylesheet" href="css/bootstrap.min.css"/>
</head>
<body>
<div class="container">
  <div style="width:600px;margin-left: auto;margin-right: auto;margin-top:24px;padding: 24px;">
    <div class="card">
      <div class="card-header">
        <i class="fa fa-user"></i> Please Login
      </div>
      <div class="card-block" style="padding: 24px;">
        <form name="f" th:action="@{/signin}" method="post">
          <fieldset>
            <!-- Thymeleaf + Spring Security error display -->
            <div th:if="${param.error}" class="alert alert-danger">
              Invalid username and password.
            </div>

            <!-- Login Controls -->
            <div class="form-group">
              <label for="txtUsername">Username</label>
              <input type="text" class="form-control" id="txtUsername" name="txtUsername"
                     placeholder="Username">
            </div>

            <div class="form-group">
              <label for="txtPassword">Password</label>
              <input type="password" class="form-control" id="txtPassword" name="txtPassword"
                     placeholder="Password">
            </div>

            <div class="form-check">
              <input type="checkbox" class="form-check-input" id="checkRememberMe" name="checkRememberMe">
              <label class="form-check-label" for="checkRememberMe">Remember me?</label>
            </div>

            <!-- Login Button -->
            <div class="form-actions" style="margin-top: 12px;">
              <button type="submit" class="btn btn-success">Log in</button>
            </div>
          </fieldset>
        </form>
      </div>
    </div>
  </div>
</div>
<script src="js/jquery-3.3.1.slim.min.js"></script>
<script src="js/bootstrap.bundle.min.js"></script>
</body>
</html>
